import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// index.js
import microApp from '@micro-zoe/micro-app'

microApp.start({
	shadowDOM: true,
})

const app = createApp(App)
app.config.compilerOptions.isCustomElement = tag => tag === 'micro-app'
app
.use(store)
.use(router)
.mount('#app')
