import { createRouter, createWebHashHistory } from 'vue-router'
import Home from '../views/Home.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/app-jojo/:page*',
    name: 'jojo',
    component: () => import(/* webpackChunkName: "about" */ '../views/jojo.vue')
  },
  {
    path: '/app-yohu/:page*',
    name: 'yohu',
    component: () => import(/* webpackChunkName: "about" */ '../views/yohu.vue')
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
